<?php
/**
 * @package            Joomla
 * @subpackage         Event Booking
 * @author             Tuan Pham Ngoc
 * @copyright          Copyright (C) 2010 - 2018 Ossolution Team
 * @license            GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

$size          = (int) $row->size ?: 1;
$span          = intval(12 / $size);
$i             = 0;
$numberOptions = count($options);
$rowFluid      = $bootstrapHelper ? $bootstrapHelper->getClassMapping('row-fluid') : 'row-fluid';
$spanClass     = $bootstrapHelper ? $bootstrapHelper->getClassMapping('span' . $span) : 'span' . $span;
?>
<fieldset id="<?php echo $name; ?>" class="<?php echo $rowFluid; ?> clearfix">
	<ul class="nav clearfix">
		<?php
		foreach ($options as $optionValue => $optionText)
		{
			$i++;
			$checked = in_array($optionValue, $selectedOptions) ? 'checked' : '';
		?>
			<li class="<?php echo $spanClass ?>">
				<label for="<?php echo $name.$i; ?>">
					<input type="checkbox" id="<?php echo $name.$i; ?>"
					       name="<?php echo $name; ?>[]"
					       value="<?php echo htmlspecialchars($optionValue, ENT_COMPAT, 'UTF-8') ?>"
					       <?php echo $checked.$attributes; ?>
					/><?php echo $optionText; ?>
				</label>
			</li>
		<?php
			if ($i % $size == 0 && $i < $numberOptions)
			{
			?>
				</ul>
				<ul class="nav clearfix">
			<?php
			}
		}
		?>
	</ul>
</fieldset>
